{
    num: -517,
    accuracy: 100,
    basePower: 80,
    category: "Special",
    name: "New Moon",
    pp: 10,
    priority: 0,
    flags: { protect: 1, reflectable: 1, mirror: 1, allyanim: 1, metronome: 1 },
    onTryHit(target) {
      if (target.getAbility().flags["cantsuppress"] || target.ability === "simple" || target.ability === "truant") {
        return false;
      }
    },
    onHit(pokemon) {
      const oldAbility = pokemon.setAbility("insomnia");
      if (oldAbility) {
        this.add("-ability", pokemon, "Insomnia", "[from] move: New Moon");
        return;
      }
      return oldAbility;
    },
    secondary: null,
    target: "normal",
    type: "Dark",
    zMove: { boost: { spa: 1 } },
    contestType: "Cute"
}